Name:           virtme
Version:        0.0.3
Release:        6%{?dist}
Summary:        Virtualize the running distro or a simple rootfs

License:        GPLv2
URL:            https://git.kernel.org/cgit/utils/kernel/virtme/virtme.git/
Source0:        https://www.kernel.org/pub/linux/utils/kernel/virtme/releases/%{name}-%{version}.tar.xz

BuildArch:      noarch
BuildRequires:  python3-devel python3-setuptools

Requires:       python3-setuptools

# virtme doesn't really need busybox, but it works better if busybox
# is available
Requires:       busybox

# virtme-guest is no longer necessary and therefore no longer exists
Obsoletes:      virtme-guest < 0.0.2-5

# Intentionally does not require qemu, since virtme can work with
# a number of qemu-system-arch packages.

%description
Virtme is a set of simple tools to run a virtualized Linux kernel that
uses the host Linux distribution or a simple rootfs instead of a whole
disk image.


%prep
%setup -q


%build
# If this ever adds C code, CFLAGS will be needed here.
%{__python3} setup.py build


%check
%{__python3} setup.py test


%install
%{__python3} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT


%files
%doc README.md
%license LICENSE
# For noarch packages: sitelib
%{python3_sitelib}/*
%{_bindir}/virtme-run
%{_bindir}/virtme-configkernel
%{_datadir}/virtme-guest-0


%changelog
* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.0.3-3
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.3-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Tue Feb 23 2016 luto@kernel.org - 0.0.3-1
- New release
- virtme-guest is obsolete

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Dec 23 2014 Andy Lutomirski <luto@mit.edu> - 0.0.2-1
- New upstream version.

* Sun Sep  7 2014 Andy Lutomirski <luto@mit.edu> - 0.0.1-1
- New package.
